Bug 1888949 - [abrt] atril: INT_cairo_surface_set_device_scale(): atril killed by SIGSEGV
Summary: [abrt] atril: INT_cairo_surface_set_device_scale(): atril killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: atril
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:95ad42e44e2e1ae3563f51b77bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-16 14:13 UTC by Davide Repetto
Modified: 2021-05-25 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:53:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.97 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: core_backtrace (49.56 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: cpuinfo (1.89 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: dso_list (15.33 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: environ (3.56 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: exploitable (93 bytes, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: maps (102.33 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: mountinfo (5.57 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: open_fds (1.88 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details
File: proc_pid_status (1.36 KB, text/plain)
2020-10-16 14:13 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2020-10-16 14:13:23 UTC
Description of problem:
This crash happened while viewing a document and changing display mode to full-screen

Version-Release number of selected component:
atril-1.24.0-2.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-15.scope
cmdline:        atril /home/davide/Immagini/xoutput.ps
crash_function: INT_cairo_surface_set_device_scale
executable:     /usr/bin/atril
journald_cursor: s=c24450a861834fa19c770ca1f4edda84;i=5e1a6;b=afbbadbe4d304607ae06fca16e5d630f;m=552d154fff;t=5b1664369a8fe;x=4cdd79b7be03243
kernel:         5.8.13-200.fc32.x86_64
rootdir:        /
runlevel:       3 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 INT_cairo_surface_set_device_scale at cairo-surface.c:1793
 #1 set_device_scale_on_surface at ev-pixbuf-cache.c:266
 #2 copy_job_to_job_info at ev-pixbuf-cache.c:278
 #3 job_finished_cb at ev-pixbuf-cache.c:330

Comment 1 Davide Repetto 2020-10-16 14:13:27 UTC
Created attachment 1722099 [details]
File: backtrace

Comment 2 Davide Repetto 2020-10-16 14:13:29 UTC
Created attachment 1722100 [details]
File: core_backtrace

Comment 3 Davide Repetto 2020-10-16 14:13:30 UTC
Created attachment 1722101 [details]
File: cpuinfo

Comment 4 Davide Repetto 2020-10-16 14:13:32 UTC
Created attachment 1722102 [details]
File: dso_list

Comment 5 Davide Repetto 2020-10-16 14:13:33 UTC
Created attachment 1722103 [details]
File: environ

Comment 6 Davide Repetto 2020-10-16 14:13:35 UTC
Created attachment 1722104 [details]
File: exploitable

Comment 7 Davide Repetto 2020-10-16 14:13:36 UTC
Created attachment 1722105 [details]
File: limits

Comment 8 Davide Repetto 2020-10-16 14:13:38 UTC
Created attachment 1722106 [details]
File: maps

Comment 9 Davide Repetto 2020-10-16 14:13:39 UTC
Created attachment 1722107 [details]
File: mountinfo

Comment 10 Davide Repetto 2020-10-16 14:13:41 UTC
Created attachment 1722108 [details]
File: open_fds

Comment 11 Davide Repetto 2020-10-16 14:13:42 UTC
Created attachment 1722109 [details]
File: proc_pid_status

Comment 12 Fedora Program Management 2021-04-29 16:41:27 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2021-05-25 16:53:59 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.